# JDACommandPermissionResolver (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: JDACommandPermissionResolver

Package co.aikar.commands

# Class JDACommandPermissionResolver

java.lang.Object
co.aikar.commands.JDACommandPermissionResolver

All Implemented Interfaces:
  `CommandPermissionResolver`

public class JDACommandPermissionResolver extends Object implements CommandPermissionResolver

## Constructor Summary

Constructors
Constructor
Description
`JDACommandPermissionResolver()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasPermission(JDACommandManager manager, JDACommandEvent event, String permission)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JDACommandPermissionResolver

public JDACommandPermissionResolver()

## Method Details

### hasPermission

public boolean hasPermission (JDACommandManager manager, JDACommandEvent event, String permission)

Specified by:
  `hasPermission` in interface `CommandPermissionResolver`